Cyberduck Mountain Duck CLI

#6610 closed defect (fixed)

Accidental deletion of files can happen when on bookmarks page

Reported by: jzsfkzm Owned by: dkocher
Priority: high Milestone: 4.3
Component: interface Version: 4.2.1
Severity: major Keywords:
Cc: Architecture:
Platform: Mac OS X 10.7

Description

This is a serious bug. Steps to reproduce:

  • Log in a remote service (Amazon S3 in my case) and select a file or a folder.
  • Hit the Bookmarks button to reveal bookmarks page.
  • Select a bookmark.
  • Hit cmd-delete on your keyboard.

Supposed behaviour: it will prompt to delete the bookmark. What really happens: it will prompt to delete the files you selected previously. Even after you disconnect from the remote service.

Attachments (1)

Screen Shot 2012-03-29 at 6.00.53 PM.png (89.9 KB) - added by jzsfkzm on Mar 29, 2012 at 4:05:39 PM.

Download all attachments as: .zip

Change History (6)

comment:1 Changed on Apr 2, 2012 at 9:49:18 AM by yla

  • Component changed from core to interface
  • Milestone set to 4.3
  • Owner set to dkocher

comment:2 Changed on Apr 3, 2012 at 2:26:20 AM by dkocher

  • Priority changed from normal to high
  • Severity changed from normal to major
  • Status changed from new to assigned

comment:3 Changed on Apr 3, 2012 at 9:46:27 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r9501.

comment:4 Changed on Apr 3, 2012 at 9:52:42 AM by jzsfkzm

Awesome, thank you.

comment:5 Changed on Sep 26, 2012 at 4:50:16 PM by dkocher

  • Milestone changed from 4.3 to 4.2.2
Note: See TracTickets for help on using tickets.
swiss made software